npapi

    0热度

    1回答

    我正在使用firebreath构建一个下载应用程序并运行它的插件(非常简单)。我知道某些浏览器正在删除npapi支持,但我需要在旧版本的浏览器(例如IE 6,Firefox 38,Chrome 31)中运行此插件。我想知道是否有任何工具可以帮助您在各种环境下测试插件(例如Linux上的Firefox,Windows,OSX上的Safari)。到目前为止,我正在做的是设置每个环境(windows,l

    -1热度

    1回答

    这是中央电视台行业丑陋的一面 - 没有人给出关于平台和兼容性的****。在全世界转向纯Web解决方案的同时,监控行业仍然使用老式的插件。老插件的问题在于,它们被所有主流浏览器(不包括IE浏览器,但没有一个理智的人认为IE浏览器也是浏览器)退役。 Chrome今年晚些时候放弃了NPAPI,其次是Firefox和Opera。大华和海康威视似乎都不关心这一点。所以现在唯一可行的方法似乎是在Chrome中

    6热度

    2回答

    我们以前使用Applet来获取安装在客户机器上的密钥存储证书。现在,当Chrome停止NPAPI时,Applet现在不能工作,所以找到一些使用Javascript/jQuery的解决方案。 我想获得安装在KeyStore中的总证书列表,但我找不到任何解决方案。是否有人知道如何使用JavaScript或jQuery获取完整的证书列表?

    3热度

    1回答

    试图通过附加到插件进程来调试NPAPI插件在10.11中似乎不起作用。 与LLDB附加透露: sudo lldb -p 39337 (lldb) process attach --pid 39337 error: attach failed: unable to attach 这似乎影响到用于嵌入式的Webkit(名为WebKitPluginHost插件主机)和“现代”的webkit在Sa

    1热度

    1回答

    我有铬42之前,当我下载一些插件在铬存储我只是启用NPAPI约:标志,然后下载的插件将出现在约:插件。我需要启用下载插件的NPAPI才能显示在about:插件上。 现在我更新我的chrome到版本48,当我下载插件时,它不再出现在about:plugins上,我也检查about:标志,但是在高版本上没有npapi。 任何想法如何使我新下载的插件about:插件?

    0热度

    2回答

    我有一个问题,希望能帮助我。我目前建立了一个API以在Catia(CAD应用程序)和我的浏览器之间进行通信,因此我可以创建零件/产品读取和写入参数等。 我的一个问题是我知道这样做的唯一方法是通过我真的不想这样做,因为它迫使每个人都使用IE11。由于CatiaV5是一款非常古老的软件,因此不会有任何优雅的方式通过某种Restful API或类似方式使用它。 由于我一直在使用JavaScript一段时

    0热度

    1回答

    我需要在使用eclipse的现有C++项目中添加.rc文件和相应的resource.h。这似乎没有很多材料。怎么做? OR 如何使插件被Firefox检测到?(给出的.so文件已成功生成) (该项目是NPAPI从Mozilla中npruntime例子。)

    0热度

    2回答

    我已经使用prep2015x64.cmd生成了一个测试插件。 prep2015x64.cmd内容下面给出 echo off & setlocal enableextensions enabledelayedexpansion set _FB_GEN="Visual Studio 14 Win64" call "%~d0%~p0\common.cmd" %* if %errorlevel% =

    0热度

    1回答

    我想弄清楚WebView如何通过addJavascriptInterface将JavaScript代码访问给Java代码,以及将提示和警告JavaScript函数重定向到事件处理程序(onJsPrompt,onJsAlert)。到目前为止我所了解的是,有一种称为JNI的机制,我们可以通过使用JNI使JVM之外的代码可以调用某些Java功能。还有一种称为NPAPI的功能,允许在Web应用程序中使用插

    2热度

    1回答

    对于Firefox ESR版本,NPAPI支持何时结束?我无法在Mozilla论坛和Google上找到答案。对于在Firefox NPAPI支持结束